Logs
All operations require authentication.
List log kindsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log kindProduction
Path parameters
Log kind name
Domain of the service
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List log subscriptionsProduction
List log subscriptions. Returns the IDs of the log subscriptions of the service. Filter by log kind with kind.
Path parameters
Domain of the service
Query parameters
Filter the value of kind property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a log subscriptionProduction
Path parameters
Domain of the service
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Get the log forwarder optionBeta
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ logForwarder \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if log forwarding can be disabledBeta
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ logForwarder/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"true
Check if log forwarding can be enabledBeta
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ logForwarder/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"true
Create a log subscriptionProduction
Create a log subscription. Sends the logs of a kind to a Logs Data Platform stream. The log forwarder option must be enabled first. Returns the operation ID.
Path parameters
Domain of the service
Request body (required)
Log kind name of the subscription
Id of the destination log stream
Response
Identifier of the operation
Operation owner's service name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Generate a log URLProduction
Generate a log URL. Returns a temporary URL to read the logs of a kind in real time, with its expiration date.
Path parameters
Domain of the service
Request body (required)
Log kinds for your dedicated cloud
Response
Expiration date
URL
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}
Disable the log forwarderBeta
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ logForwarder/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable the log forwarderBeta
Enable the log forwarder. Enables the log forwarder option, required to create log subscriptions. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ logForwarder/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a log subscriptionProduction
Path parameters
Domain of the service
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}